> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an exemption

> Create an exemption for an entity on a specific check.



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml post /checks/exemptions
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/exemptions:
    post:
      tags:
        - Checks
      summary: Create an exemption
      description: Create an exemption for an entity on a specific check.
      operationId: createExemption
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExemptionRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExemptionResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: No permission to create exemption for this entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    CreateExemptionRequest:
      type: object
      required:
        - checkId
        - entityRef
        - justification
      properties:
        checkId:
          type: string
        entityRef:
          type: string
        justification:
          type: string
      additionalProperties: false
    ExemptionResponse:
      type: object
      required:
        - exemption
      properties:
        exemption:
          $ref: '#/components/schemas/Exemption'
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    Exemption:
      type: object
      required:
        - checkId
        - entityRef
        - userRef
        - justification
        - timestamp
      properties:
        checkId:
          type: string
        entityRef:
          type: string
        userRef:
          type: string
        justification:
          type: string
        timestamp:
          type: string
      additionalProperties: false

````